<?php
header("Content-type: image/png");   
$tabla_visitas = array(520, 458, 642, 741, 254, 657, 356, 912, 259, 712); 
 
$anchuraImagen = 450; 
$alturaImagen = 400; 
$imagen = imagecreate($anchuraImagen, $alturaImagen);         
$blanco = imagecolorallocate($imagen, 255, 255, 255);  
$negro = imagecolorallocate($imagen, 0, 0, 0);   
$rojo = imagecolorallocate($imagen, 255, 0, 0);      

// trazo horizontal para representar el eje de los días     
imageline($imagen, 10, $alturaImagen-10, $anchuraImagen-10, $alturaImagen-10, $negro); 
// Visualización del numéro de los días 
for ($dia=1; $dia<=10; $dia++) { 
	imagestring($imagen, 0, $dia*40, $alturaImagen-10, $dia, $negro); 
} 
 
// trazo vertical que representa el número de visitas 
imageline($imagen, 10, 10, 10, $alturaImagen-10, $negro);

// el número máximo de visitas proporcional a la altura del image
$visitas_maximum = 1000; 
// trazo de los rectangulos 
for ($dia=1; $dia<=10; $dia++) { 
	$alturaRectangulo = round(($tabla_visitas[$dia-1]*$alturaImagen)/$visitas_maximo); 
	imagefilledrectangulo($imagen, $dia*40-6, $alturaImagen-$alturaRectangulo, $dia*40+8, $alturaImagen-10, $rojo); 
	imagestring($imagen, 0, $dia*40-6, $alturaImagen-$alturaRectangulo-10, $tabla_visitas[$dia-1], $negro); 
} 

imagePng($imagen); 
imagedestroy($imagen); 
?>
